

In file included from drivers/input/serio/i8042.h:25,
                 from drivers/input/serio/i8042.c:28:
drivers/input/serio/i8042-sparcio.h: In function `i8042_platform_init':
drivers/input/serio/i8042-sparcio.h:103: error: `i8042_reset' undeclared (first use in this function)
drivers/input/serio/i8042-sparcio.h:103: error: (Each undeclared identifier is reported only once
drivers/input/serio/i8042-sparcio.h:103: error: for each function it appears in.)
drivers/input/serio/i8042.c: At top level:
drivers/input/serio/i8042.c:46: error: `i8042_reset' used prior to declaration


Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-sparc64-akpm/drivers/input/serio/i8042.c |   13 +++++++------
 1 files changed, 7 insertions(+), 6 deletions(-)

diff -puN drivers/input/serio/i8042.c~i8042-sparc64-build-fix drivers/input/serio/i8042.c
--- 25-sparc64/drivers/input/serio/i8042.c~i8042-sparc64-build-fix	2004-06-26 16:29:45.883385840 -0700
+++ 25-sparc64-akpm/drivers/input/serio/i8042.c	2004-06-26 16:30:10.995568208 -0700
@@ -24,6 +24,13 @@
 
 #include <asm/io.h>
 
+static unsigned int i8042_noaux;
+static unsigned int i8042_nomux;
+static unsigned int i8042_unlock;
+static unsigned int i8042_reset;
+static unsigned int i8042_direct;
+static unsigned int i8042_dumbkbd;
+
 #undef DEBUG
 #include "i8042.h"
 
@@ -31,27 +38,21 @@ MODULE_AUTHOR("Vojtech Pavlik <vojtech@s
 MODULE_DESCRIPTION("i8042 keyboard and mouse controller driver");
 MODULE_LICENSE("GPL");
 
-static unsigned int i8042_noaux;
 module_param_named(noaux, i8042_noaux, bool, 0);
 MODULE_PARM_DESC(noaux, "Do not probe or use AUX (mouse) port.");
 
-static unsigned int i8042_nomux;
 module_param_named(nomux, i8042_nomux, bool, 0);
 MODULE_PARM_DESC(nomux, "Do not check whether an active multiplexing conrtoller is present.");
 
-static unsigned int i8042_unlock;
 module_param_named(unlock, i8042_unlock, bool, 0);
 MODULE_PARM_DESC(unlock, "Ignore keyboard lock.");
 
-static unsigned int i8042_reset;
 module_param_named(reset, i8042_reset, bool, 0);
 MODULE_PARM_DESC(reset, "Reset controller during init and cleanup.");
 
-static unsigned int i8042_direct;
 module_param_named(direct, i8042_direct, bool, 0);
 MODULE_PARM_DESC(direct, "Put keyboard port into non-translated mode.");
 
-static unsigned int i8042_dumbkbd;
 module_param_named(dumbkbd, i8042_dumbkbd, bool, 0);
 MODULE_PARM_DESC(dumbkbd, "Pretend that controller can only read data from keyboard");
 
_
